Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class NodeMoved

    java.lang.Object
      org.modeshape.jcr.cache.change.Change
          org.modeshape.jcr.cache.change.AbstractNodeChange
              org.modeshape.jcr.cache.change.NodeMoved

    public class NodeMoved

extends AbstractNodeChange

Field Summary

Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`path`

Constructor Summary
`NodeMoved(NodeKey key, NodeKey oldParent, NodeKey newParent, Path newPath, Path oldPath)`

Method Summary
`NodeKey` | `getNewParent()` Get the parent under which the node now appears.
`Path` | `getNewPath()` Get the new path for the node, if it is known
`NodeKey` | `getOldParent()` Get the parent under which the node formerly appeared.
`Path` | `getOldPath()` Get the old path for the node, if it is known
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`getKey, getPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeMoved

    public NodeMoved(NodeKey key,
                     NodeKey oldParent,
                     NodeKey newParent,
                     Path newPath,
                     Path oldPath)

Method Detail

### getNewParent

    public NodeKey getNewParent()

  Get the parent under which the node now appears.

  Returns:
    the new parent; never null

### getOldParent

    public NodeKey getOldParent()

  Get the parent under which the node formerly appeared.

  Returns:
    the old parent; never null

### getNewPath

    public Path getNewPath()

  Get the new path for the node, if it is known

  Returns:
    the new path; may be null if it is not known

### getOldPath

    public Path getOldPath()

  Get the old path for the node, if it is known

  Returns:
    the old path; may be null if it is not known

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.